QGIS Application - Bug report #7912
recent commit(s) broke graduated symbology making it impossible to manually add classes
2013-05-26 07:14 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 16784
Description

Manual entry / editing of graduated symbology list in QGIS master is currently broken. The issue leads to to problems:

- It's now impossible to manually create graduated symbology list by adding custom ranges via "Add class" in an empty list.

- If the user has created a list via the "Classify" button, adding extra class(es) via "Add class" is broken. If the user clicks on "Add class" in
a non-empty list, new items are non added, but instead already present items are overwritten.

Setting this as a blocker as it's clearly a regression, and a pretty critical one at it.

History

#1 - 2013-05-26 07:22 PM - dassouki -

| can replicate these problems in Qgis 2.0 - build 51d73a9

#2 - 2013-05-26 11:35 PM - Mathieu Pellerin - nIRV

- Subject changed from ressent commit(s) broke graduated symbology making it impossible to manually add classes to recent commit(s) broke
graduated symbology making it impossible to manually add classes

#3 - 2013-05-28 07:16 PM - Mathieu Pellerin - nIRV

- Resolution set to duplicate

- Status changed from Open to Closed

Part of this is duplicate of issue #7726, closing and adding missing information to older issue.

2025-04-27 1/1




